Tryton - Issues

 

Issue7086

Title Add identifier to product
Priority feature Status resolved
Superseder Nosy List bblaz, ced, pokoli, reviewbot, roundup-bot
Type feature request Components product
Assigned To pokoli Keywords review
Reviews 265481006
View: 265481006

Created on 2018-01-25.11:21:19 by ced, last changed by roundup-bot.

Messages
New changeset b648361c6015 by Sergi Almacellas Abellana in branch 'default':
Use ImportError instead of ModuleNotFoundError for py3.5 support
https://hg.tryton.org/tryton-env/rev/b648361c6015
New changeset 97399864a211 by Sergi Almacellas Abellana in branch 'default':
Use ImportError instead of ModuleNotFoundError for py3.5 support
https://hg.tryton.org/modules/product/rev/97399864a211
New changeset bfda790069fc by Sergi Almacellas Abellana in branch 'default':
Add product identifiers
https://hg.tryton.org/tryton-env/rev/bfda790069fc
New changeset d728c553a43c by Sergi Almacellas Abellana in branch 'default':
Add product identifiers
https://hg.tryton.org/modules/product/rev/d728c553a43c
review265481006 updated at https://codereview.tryton.org/265481006/#ps275511002
review265481006 updated at https://codereview.tryton.org/265481006/#ps255521002
review265481006 updated at https://codereview.tryton.org/265481006/#ps287431002
review265481006 updated at https://codereview.tryton.org/265481006/#ps285271002
review265481006 updated at https://codereview.tryton.org/265481006/#ps281591003
msg49899 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-05-29.15:53:05
On 2019-05-29 15:17, Sergi Almacellas Abellana wrote:
> > We should keep code because it is the internal identifier like we have a code on party.
> 
> Then probably it makes sense to have an optional sequence for it like we do on party.

I do not think so. Most of the companies I saw want to construct the
code with meaningful information.
msg49897 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-05-29.15:17:14
> We should keep code because it is the internal identifier like we have a code on party.

Then probably it makes sense to have an optional sequence for it like we do on party.
review265481006 updated at https://codereview.tryton.org/265481006/#ps251411002
msg49892 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-05-28.23:06:56
We should keep code because it is the internal identifier like we have a code on party.
review265481006 updated at https://codereview.tryton.org/265481006/#ps253561002
msg49860 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-05-27.15:59:03
I've uploaded review265481006 which replaces review41071002. I've fixed all the comments and updated the code to tip. 

I'm wondering if it still makes sense to have a code field on product as we now have the list of identifiers to store codes. For me it will be better to change code into a functional field which returns the first identifier code as we do for tax identifier on party. 

What do you think?
review41071002 updated at https://codereview.tryton.org/41071002/#ps20001
New review41071002 at https://codereview.tryton.org/41071002/#ps1
msg38056 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-25.11:21:19
Just like for issue3869, we could have identifiers on products with by default different standard code (from python-stdnum).
History
Date User Action Args
2019-06-06 19:33:42roundup-botsetmessages: + msg50125
2019-06-06 19:33:38roundup-botsetmessages: + msg50124
2019-06-06 19:21:35roundup-botsetmessages: + msg50119
2019-06-06 19:21:31roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg50118
2019-06-05 16:46:42reviewbotsetmessages: + msg50072
2019-06-05 16:13:18reviewbotsetmessages: + msg50062
2019-06-05 12:19:16reviewbotsetmessages: + msg50039
2019-06-05 11:07:33reviewbotsetmessages: + msg50025
2019-05-30 17:08:49reviewbotsetmessages: + msg49920
2019-05-29 15:53:05cedsetmessages: + msg49899

Showing 10 items. Show all history (warning: this could be VERY long)